commit:     1416de70a691818d5a16f454bf3aee018009cf67
Author:     Hank Leininger <hlein <AT> korelogic <DOT> com>
AuthorDate: Thu Feb 15 04:15:33 2024 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sun Feb 25 11:14:52 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1416de70

net-misc/proxychains: add 4.17, EAPI8, proxy-maint

Closes: https://bugs.gentoo.org/911140
Closes: https://github.com/gentoo/gentoo/35339
Signed-off-by: Hank Leininger <hlein <AT> korelogic.com>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 net-misc/proxychains/Manifest                      |  1 +
 .../files/proxychains-4.17-makefile.patch          | 54 ++++++++++++++++++++++
 net-misc/proxychains/metadata.xml                  |  9 +++-
 net-misc/proxychains/proxychains-4.17.ebuild       | 49 ++++++++++++++++++++
 4 files changed, 112 insertions(+), 1 deletion(-)

diff --git a/net-misc/proxychains/Manifest b/net-misc/proxychains/Manifest
index 5dd68809c8d0..1549eddf5141 100644
--- a/net-misc/proxychains/Manifest
+++ b/net-misc/proxychains/Manifest
@@ -1 +1,2 @@
 DIST proxychains-ng-4.14.tar.xz 33844 BLAKE2B 
598dd7973fd341a9916ece55ee18aeb0e0654d01659ffd3f5b7b9437fbb3660376aca77cd1326553a1beffd1ea4f95c6eb3da9c0f6ce43f3d72b1a16cf2bab4e
 SHA512 
75a1a4629d2b7ebac9b909a694b395339cf669fa4e23bfcc57938e46377b5619f31c9651d2bc457d1ad10ec1be7747981106392bf8bf65999cb7bb9c748d7e95
+DIST proxychains-ng-4.17.tar.xz 45288 BLAKE2B 
3e34742dc06fa80fceeb5250c48584c53fc8d4231147d9ef7a5aff21acfae0f814916c89033d1f92d3cf0cbb96d4031cb9769fa81c1cba81259ca34fb1182f63
 SHA512 
aa35ae27305065a7f296cbf99b3308b2ac759287761a5d234ddaa558292467fae88c33a3ced1d71329cf6a7e8f56aa4e2ffd4274d57d87857f13ca8393d5d983

diff --git a/net-misc/proxychains/files/proxychains-4.17-makefile.patch 
b/net-misc/proxychains/files/proxychains-4.17-makefile.patch
new file mode 100644
index 000000000000..149fd39be88e
--- /dev/null
+++ b/net-misc/proxychains/files/proxychains-4.17-makefile.patch
@@ -0,0 +1,54 @@
+diff --git a/Makefile b/Makefile
+index 11d0df8..8e9874d 100644
+--- a/Makefile
++++ b/Makefile
+@@ -28,9 +28,8 @@ LOBJS = src/version.o \
+ 
+ GENH = src/version.h
+ 
+-CFLAGS  += -Wall -O0 -g -std=c99 -D_GNU_SOURCE -pipe
+-NO_AS_NEEDED = -Wl,--no-as-needed
+-LDFLAGS = -fPIC $(NO_AS_NEEDED) $(LIBDL) $(PTHREAD)
++CFLAGS  = -Wall -std=c99 -D_GNU_SOURCE
++LIBS    = -ldl -lpthread
+ INC     = 
+ PIC     = -fPIC
+ AR      = $(CROSS_COMPILE)ar
+@@ -41,15 +40,15 @@ LDSO_SUFFIX = so
+ LD_SET_SONAME = -Wl,-soname=
+ INSTALL = ./tools/install.sh
+ 
+-LDSO_PATHNAME = libproxychains4.$(LDSO_SUFFIX)
++LDSO_PATHNAME = libproxychains.$(LDSO_SUFFIX)
+ 
+ SHARED_LIBS = $(LDSO_PATHNAME)
+ ALL_LIBS = $(SHARED_LIBS)
+-PXCHAINS = proxychains4
+-PXCHAINS_D = proxychains4-daemon
++PXCHAINS = proxychains
++PXCHAINS_D = proxychains-daemon
+ ALL_TOOLS = $(PXCHAINS) $(PXCHAINS_D)
+ ALL_CONFIGS = src/proxychains.conf
+-ZSH_COMPLETION = completions/zsh/_proxychains4
++ZSH_COMPLETION = completions/zsh/_proxychains
+ 
+ -include config.mak
+ 
+@@ -93,14 +92,13 @@ src/version.o: src/version.h
+       $(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_MAIN) $(INC) $(PIC) -c -o $@ $<
+ 
+ $(LDSO_PATHNAME): $(LOBJS)
+-      $(CC) $(LDFLAGS) $(FAT_LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) \
+-              $(USER_LDFLAGS) -shared -o $@ $^ $(SOCKET_LIBS)
++      $(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) -shared $(PIC) -o $@ 
$^ $(LIBS) $(SOCKET_LIBS)
+ 
+ $(PXCHAINS): $(OBJS)
+-      $(CC) $^ $(FAT_BIN_LDFLAGS) $(USER_LDFLAGS) $(LIBDL) -o $@
++      $(CC) $(LDFLAGS) $^ $(FAT_BIN_LDFLAGS) $(USER_LDFLAGS) $(LIBDL) -o $@
+ 
+ $(PXCHAINS_D): $(DOBJS)
+-      $(CC) $^ $(FAT_BIN_LDFLAGS) $(USER_LDFLAGS) -o $@
++      $(CC) $(LDFLAGS) $^ $(FAT_BIN_LDFLAGS) $(USER_LDFLAGS) -o $@
+ 
+ 
+ .PHONY: all clean install install-config install-libs install-tools 
install-zsh-completion

diff --git a/net-misc/proxychains/metadata.xml 
b/net-misc/proxychains/metadata.xml
index e7d93515de55..63d1cbd32283 100644
--- a/net-misc/proxychains/metadata.xml
+++ b/net-misc/proxychains/metadata.xml
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-       <!-- maintainer-needed -->
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Hank Leininger</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
        <longdescription lang="en">
                Program that hooks network-related libc functions
                in DYNAMICALLY LINKED programs via a preloaded DLL (dlsym(), 
LD_PRELOAD)

diff --git a/net-misc/proxychains/proxychains-4.17.ebuild 
b/net-misc/proxychains/proxychains-4.17.ebuild
new file mode 100644
index 000000000000..54aa7c5f8772
--- /dev/null
+++ b/net-misc/proxychains/proxychains-4.17.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_PN=${PN}-ng
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="force any tcp connections to flow through a proxy (or proxy 
chain)"
+HOMEPAGE="https://github.com/rofl0r/proxychains-ng/";
+SRC_URI="http://ftp.barfooze.de/pub/sabotage/tarballs/${MY_P}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~sparc ~x86"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=( "${FILESDIR}"/${P}-makefile.patch )
+
+src_prepare() {
+       default
+       sed -i "s/^\(LDSO_SUFFIX\).*/\1 = so.${PV}/" Makefile || die
+       mv completions/zsh/_proxychains4 completions/zsh/_proxychains || die
+       tc-export CC
+}
+
+src_configure() {
+       # not autotools
+       ./configure \
+               --prefix="${EPREFIX}"/usr \
+               --libdir="${EPREFIX}"/usr/$(get_libdir) \
+               --sysconfdir="${EPREFIX}"/etc \
+               || die
+}
+
+src_install() {
+       dobin ${PN}
+       dodoc AUTHORS README TODO
+
+       dolib.so lib${PN}.so.${PV}
+       dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so.${PV:0:1}
+       dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so
+
+       insinto /etc
+       doins src/${PN}.conf
+}

Reply via email to